## ros-one-pr2eus-moveit 0.3.15-18jammy.20251023.1652

=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18jammy.20251023.1652) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 16:52:59 +0000

ros-one-pr2eus-moveit (0.3.15-0jammy) jammy; urgency=high

  * Loosen test condition for test-collision-object-publisher (#484 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/484>)
  * integrate all .github/workflows/*.yml to config.yml, fix permission issue (#479 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/479>)
  * test check apply_planning_scene before creating collision-object-publisher/*ci* without MoveIt (#469 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/469>)
  * check apply_planning_scene before creating collision-object-publisher/*ci* (#446 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/446>)
  * add test code for #461 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/461> (#468 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/468>)
  * [pr2eus_moveit] Add timeout arg for computing IK and increase timeout for test (#438 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/438>)
  * Check current collision when trajectory could not be generated (#448 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/448>)
  * [pr2eus_moveit] evaluate all bodies only when it has bodies (#442 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/442>)
  * [pr2eus_moveit] Add test for collision-object-publisher (#431 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/431>)
  * [pr2eus_moveit] fix collision-object-sample.l and :add-object in collision-object-publisher.l (#423 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/423>)
  * [pr2eus_moveit] add method to delete collision objects by id (#421 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/421>)
  * [pr2eus_moveit] fix cylinder collision object msg (#419 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/419>)
  * enable to test navigation in gazebo for  pr2-ri-test (#420 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/420>)
  * [pr2eus_moveit] Add docstring to :angle-vector-motion-plan (#392 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/392>)
  * need to check both pr2_gazebo and pr2_moveit_config (#393 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/393>)
  * Contributors: Kei Okada, Koki Shinjo, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Shumpei Wakabayashi, Shun Hasegawa, Yuto Uchimi

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2023 00:00:00 -0000

ros-one-pr2eus-moveit (0.3.14-0jammy) jammy; urgency=high

  * fix typo and add pr2-init in pr2eus-moveit.l for PR2 + moveit (#382 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/382> )
    
      * add moveit pr2-init in pr2eus-moveit.l
        redefine original pr2-init -> pr2-init-org
      * fix parenthesis close in pr2eus-moveit.l
    
  * Fix velocity time scaling (#377 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/377> )
    
      * Fix scaling of multi dof joint trajectory
      * scale accelerations in :trajectory-filter
      * fix velocity time scaling
      * Add test for time scaling of vel and acc in :trajectory-filter
    
  * Fix :angle-vector-make-trajectory to ignore start-offset-time (#365 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/365> )
    
      * Remove first point of new traj if it overlaps with existing traj.
        Without this fix, traj points having the same time_from_start appear.
        This may harm joint trajectory action server.
      * Use exact time_from_start to pass test
      * Fix :angle-vector-make-trajectory to ignore start-offset-time
      * Reduce start-offset-time to speed up tests
      * Use init-pose instead of reset-manip-pose to speed up test-angle-vector-sequence-motion-plan
      * Loosen time limit of new test
      * Add test for start-offset-time with avs
    
  * Fix time_from_start in motion-planned angle-vector-sequence (#363 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/363> )
    
      * Update robot in *ri* in 1st loop
      * Set time_from_start correctly in :angle-vector-make-trajectory
        Previously, traj points for second av started from zero time_from_start
      * Add equal to sort in test to avoid error
      * Add test for concatenation in :angle-vector-make-trajectory
    
  * Fix :trajectory-filter to ignore start-offset-time (#361 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/361> )
    
      * Remove start-offset-time from passing args
      * Fix :trajectory-filter to ignore start-offset-time
      * Add test for start-offset-time
    
  * pr2eus_moveit: support motion with mobile base (#357 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/357> )
    
      * reset-total-time is used only when trajectory is short
        See https://github.com/jsk-ros-pkg/jsk_pr2eus/blob/0.3.13/pr2eus_moveit/euslisp/robot-moveit.l#L539-L544
      * Don't skip :trajectory-filter as before
        So far, this has been realized by an odd way
        (https://github.com/jsk-ros-pkg/jsk_pr2eus/commit/ca27e9d8dbe765b1879daf9ccd80e09c81674ab1)
      * pr2eus_moveit: run test only when pr2_gazebo is available
      * pr2eus_moveit: support planning with base movement
    
  * run everything within jenkins (#340 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/340>)
    
      * explictly set DISPLAY="" for roseus test
      * re-define :joint-angle to avoid print violate max/min-angle that exceeds 4M log limit
      * test-pr2eus-moveit.l: not sure why, but sometimes utf-8 code is displayed and brakes catkin build
      * set time-limit for pr2-ri-test to 600
      * .travis.yml: run everything within travis
      * install pr2-arm-kinematics for indigo
    
  * Use service call for collision-object-publisher (#324 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/324>)
    
      * operate attached_collision_object by service call
      * refactor codes in collision-object-publisher
    


## ros-one-pr2eus-moveit 0.3.15-18jammy.20251208.0950

=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18jammy.20251208.0950) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 09:50:09 +0000

## ros-one-pr2eus-moveit 0.3.15-18jammy.20260222.2149

=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18jammy.20260222.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 21:49:50 +0000

## ros-one-pr2eus-moveit 0.3.15-18noble.20251023.1710

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2eus_moveit)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS pr2eus moveit_msgs control_msgs roseus)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES std_msgs control_msgs moveit_msgs
# )

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS
    CATKIN_DEPENDS pr2eus moveit_msgs control_msgs roseus
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(DIRECTORY euslisp tutorials
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(pr2_gazebo QUIET)
  find_package(pr2_moveit_config QUIET)
  if(pr2_gazebo_FOUND AND pr2_moveit_config_FOUND)
    add_rostest(test/test-pr2eus-moveit.test)
    add_rostest(test/test-pr2eus-moveit-sim.test)
  else()
    message(WARNING "pr2_gazebo is not found. Skipping pr2eus_moveit tests")
  endif()
endif()

=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18noble.20251023.1710) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 17:10:20 +0000

ros-one-pr2eus-moveit (0.3.15-0noble) noble; urgency=high

  * Loosen test condition for test-collision-object-publisher (#484 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/484>)
  * integrate all .github/workflows/*.yml to config.yml, fix permission issue (#479 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/479>)
  * test check apply_planning_scene before creating collision-object-publisher/*ci* without MoveIt (#469 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/469>)
  * check apply_planning_scene before creating collision-object-publisher/*ci* (#446 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/446>)
  * add test code for #461 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/461> (#468 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/468>)
  * [pr2eus_moveit] Add timeout arg for computing IK and increase timeout for test (#438 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/438>)
  * Check current collision when trajectory could not be generated (#448 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/448>)
  * [pr2eus_moveit] evaluate all bodies only when it has bodies (#442 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/442>)
  * [pr2eus_moveit] Add test for collision-object-publisher (#431 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/431>)
  * [pr2eus_moveit] fix collision-object-sample.l and :add-object in collision-object-publisher.l (#423 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/423>)
  * [pr2eus_moveit] add method to delete collision objects by id (#421 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/421>)
  * [pr2eus_moveit] fix cylinder collision object msg (#419 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/419>)
  * enable to test navigation in gazebo for  pr2-ri-test (#420 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/420>)
  * [pr2eus_moveit] Add docstring to :angle-vector-motion-plan (#392 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/392>)
  * need to check both pr2_gazebo and pr2_moveit_config (#393 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/393>)
  * Contributors: Kei Okada, Koki Shinjo, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Shumpei Wakabayashi, Shun Hasegawa, Yuto Uchimi

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2023 00:00:00 -0000

ros-one-pr2eus-moveit (0.3.14-0noble) noble; urgency=high

  * fix typo and add pr2-init in pr2eus-moveit.l for PR2 + moveit (#382 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/382> )
    
      * add moveit pr2-init in pr2eus-moveit.l
        redefine original pr2-init -> pr2-init-org
      * fix parenthesis close in pr2eus-moveit.l
    
  * Fix velocity time scaling (#377 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/377> )
    
      * Fix scaling of multi dof joint trajectory
      * scale accelerations in :trajectory-filter
      * fix velocity time scaling
      * Add test for time scaling of vel and acc in :trajectory-filter
    
  * Fix :angle-vector-make-trajectory to ignore start-offset-time (#365 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/365> )
    
      * Remove first point of new traj if it overlaps with existing traj.
        Without this fix, traj points having the same time_from_start appear.
        This may harm joint trajectory action server.
      * Use exact time_from_start to pass test
      * Fix :angle-vector-make-trajectory to ignore start-offset-time
      * Reduce start-offset-time to speed up tests
      * Use init-pose instead of reset-manip-pose to speed up test-angle-vector-sequence-motion-plan
      * Loosen time limit of new test
      * Add test for start-offset-time with avs
    
  * Fix time_from_start in motion-planned angle-vector-sequence (#363 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/363> )
    
      * Update robot in *ri* in 1st loop
      * Set time_from_start correctly in :angle-vector-make-trajectory
        Previously, traj points for second av started from zero time_from_start
      * Add equal to sort in test to avoid error
      * Add test for concatenation in :angle-vector-make-trajectory
    
  * Fix :trajectory-filter to ignore start-offset-time (#361 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/361> )
    
      * Remove start-offset-time from passing args
      * Fix :trajectory-filter to ignore start-offset-time
      * Add test for start-offset-time
    
  * pr2eus_moveit: support motion with mobile base (#357 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/357> )
    
      * reset-total-time is used only when trajectory is short
        See https://github.com/jsk-ros-pkg/jsk_pr2eus/blob/0.3.13/pr2eus_moveit/euslisp/robot-moveit.l#L539-L544
      * Don't skip :trajectory-filter as before
        So far, this has been realized by an odd way
        (https://github.com/jsk-ros-pkg/jsk_pr2eus/commit/ca27e9d8dbe765b1879daf9ccd80e09c81674ab1)
      * pr2eus_moveit: run test only when pr2_gazebo is available
      * pr2eus_moveit: support planning with base movement
    
  * run everything within jenkins (#340 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/340>)
    
      * explictly set DISPLAY="" for roseus test
      * re-define :joint-angle to avoid print violate max/min-angle that exceeds 4M log limit
      * test-pr2eus-moveit.l: not sure why, but sometimes utf-8 code is displayed and brakes catkin build
      * set time-limit for pr2-ri-test to 600
      * .travis.yml: run everything within travis
      * install pr2-arm-kinematics for indigo
    
  * Use service call for collision-object-publisher (#324 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/324>)
    
      * operate attached_collision_object by service call
      * refactor codes in collision-object-publisher
    


=== debian/control ===
Source: ros-one-pr2eus-moveit
Section: misc
Priority: optional
Maintainer: YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-control-msgs, ros-one-moveit-msgs, ros-one-pr2eus, ros-one-roseus
Homepage: http://ros.org/wiki/pr2eus_moveit
Standards-Version: 3.9.2

Package: ros-one-pr2eus-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-moveit-msgs, ros-one-pr2eus, ros-one-roseus
Description: pr2eus_moveit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2eus-moveit//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2eus-moveit 0.3.15-18noble.20251208.1629

=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18noble.20251208.1629) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 16:29:16 +0000

## ros-one-pr2eus-moveit 0.3.15-18noble.20260222.2320

=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18noble.20260222.2320) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 23:20:59 +0000
